/***************************************************************************
 *   Copyright (C) 2012 by Gil Mardon                                      *
 *   gil.mardon@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <QtGui/QApplication>
#include "MainWindow.h"

int main(int argc, char *argv[])
{
    Q_INIT_RESOURCE( ressource );

    QApplication a(argc, argv);
    MainWindow w;

/*
    QTranslator translatorEn;
    translatorEn.load( "WsMeteo_en" );
    QTranslator translatorFr;
    translatorFr.load( "WsMeteo_fr" );

    a.installTranslator( &translatorEn );
    a.installTranslator( &translatorFr );
*/
    QIcon icon( ":/Images/WSmeteo-Icone.png");
    w.setWindowIcon(icon);
    w.show();

    return a.exec();
}
