/***************************************************************************
 *   Copyright (C) 2012 by Gil Mardon                                      *
 *   gil.mardon@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "CurrentData.h"
#include "Ws2355.h"

CurrentData::CurrentData()
{
    data.indoorTemperature = 0;
    data.outdoorTemperature = 0;
    data.indoorHumidity = 0;
    data.outdoorHumidity = 0;
    data.windChillTemperature = 0;
    data.dewPointTemperature = 0;
    data.windDirection = 0;
    data.windSpeed = 0;
    data.pressureAbsolute = 1013;
    data.pressureRelative = 1013;
    data.rain1Hour = 0;
    data.rain1Day = 0;
    data.rainTotal = 0;
    data.weatherForecast = 0;
    data.weatherTendency = 0;

    state = CURRENT_DATA_STATE_DEFAULT;
}

CurrentData::~CurrentData()
{

}
