/***************************************************************************
 *   Copyright (C) 2012 by Gil Mardon                                      *
 *   gil.mardon@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef ROTATEDQLABEL_H
#define ROTATEDQLABEL_H

#include <QLabel>

class RotatedQLabel : public QLabel
{
    Q_OBJECT
public:
    explicit RotatedQLabel( QWidget *parent = 0 );

    bool rotateText( float degrees );

private:
    float rotation;

protected:
    void paintEvent( QPaintEvent * );
    void drawRotatedText( QPainter *painter, float degrees, int x, int y, const QString &text );

signals:

public slots:

};

#endif // ROTATEDQLABEL_H
