#-------------------------------------------------
#
# Project created by QtCreator 2011-12-28T20:19:13
#
#-------------------------------------------------

QT       += core gui

TARGET = WsMeteo
TEMPLATE = app

CONFIG += qwt

SOURCES += main.cpp\
        MainWindow.cpp \
    RotatedQLabel.cpp \
    Ws2355.cpp \
    CurrentDataTab.cpp \
    DailyDataTab.cpp \
    MonthlyDataTab.cpp \
    YearlyDataTab.cpp \
    ConfigurationTab.cpp \
    TemperaturesGraph.cpp \
    RainGraph.cpp \
    HumidityGraph.cpp \
    PressureGraph.cpp \
    WindGraph.cpp \
    Configuration.cpp \
    CurrentData.cpp \
    Connection.cpp \
    Ws2355Thread.cpp \
    DataLogged.cpp

HEADERS  += MainWindow.h \
    RotatedQLabel.h \
    Ws2355.h \
    CurrentDataTab.h \
    DailyDataTab.h \
    MonthlyDataTab.h \
    YearlyDataTab.h \
    ConfigurationTab.h \
    TemperaturesGraph.h \
    RainGraph.h \
    HumidityGraph.h \
    PressureGraph.h \
    WindGraph.h \
    WsMeteo.h \
    Configuration.h \
    CurrentData.h \
    Connection.h \
    Ws2355Thread.h \
    DataLogged.h

FORMS    += MainWindow.ui

RESOURCES += \
    ressource.qrc

INCLUDEPATH += /usr/local/qwt-6.0.1/include

LIBS += -L/usr/lib64/ -lqwt

DEPENDPATH += /usr/local/qwt-6.0.1/include

TRANSLATIONS = WsMeteo_fr.ts \
               WsMeteo_en.ts
